.fund_header {
  padding: 26rem 0rem 0rem;
  overflow: hidden; }
  @media (max-width: 1050px) {
    .fund_header {
      padding: 15rem 0rem 0rem; } }
  @media (max-width: 760px) {
    .fund_header {
      padding: 10rem 0rem 0rem; } }
  .fund_header .container {
    max-width: calc(50% + 650px);
    margin-left: auto;
    margin-right: 0px;
    display: grid;
    grid-template-columns: 500px 1fr; }
    @media (max-width: 1100px) {
      .fund_header .container {
        grid-template-columns: 400px 1fr; } }
    @media (max-width: 760px) {
      .fund_header .container {
        grid-template-columns: 1fr; } }
  .fund_header p {
    margin-top: 0px; }
  .fund_header h1 {
    font-size: 5rem;
    text-transform: uppercase;
    font-family: "Gotham Bold";
    margin-top: 0px;
    line-height: 1.15; }
    @media (max-width: 568px) {
      .fund_header h1 {
        font-size: 4rem; } }
  .fund_header .repeater .item {
    display: grid;
    grid-template-columns: 90px 1fr;
    border-bottom: 1px solid #ccd2d7;
    padding: 2rem 0rem;
    -webkit-box-align: center;
    -webkit-align-items: center;
        -ms-flex-align: center;
            align-items: center; }
    .fund_header .repeater .item .number {
      font-size: 3.9rem;
      font-family: "Gotham Bold"; }
    .fund_header .repeater .item .desc p {
      margin-bottom: 0px; }
  .fund_header .text {
    max-width: 496px; }
    @media (max-width: 760px) {
      .fund_header .text {
        max-width: 100%; } }
  .fund_header .map_wrapper {
    position: relative;
    margin-top: -18rem;
    margin-bottom: -4rem; }
    @media (max-width: 1100px) {
      .fund_header .map_wrapper {
        margin-top: -10rem; } }
    @media (max-width: 920px) {
      .fund_header .map_wrapper {
        margin-top: 0rem; } }
    @media (max-width: 768px) {
      .fund_header .map_wrapper {
        margin-bottom: 0px; } }
    .fund_header .map_wrapper img {
      position: absolute;
      top: 0px;
      left: 0px;
      max-width: 130%;
      margin-left: -15%;
      z-index: -1; }
      .fund_header .map_wrapper img:nth-child(1) {
        position: relative; }

.characteristics {
  padding-top: 12rem;
  position: relative; }
  .characteristics .bg_right {
    position: absolute;
    top: -150px;
    right: 0px;
    z-index: 5; }
    @media (max-width: 1600px) {
      .characteristics .bg_right {
        max-width: 300px;
        top: -80px; } }
    @media (max-width: 992px) {
      .characteristics .bg_right {
        max-width: 150px;
        top: -90px; } }
  .characteristics .grid {
    border-top: 1px solid #dee5ec;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 10rem;
    padding-right: 25rem; }
    @media (max-width: 1200px) {
      .characteristics .grid {
        padding-right: 40rem;
        gap: 3rem; } }
    @media (max-width: 992px) {
      .characteristics .grid {
        padding-right: 0px; } }
    @media (max-width: 630px) {
      .characteristics .grid {
        grid-template-columns: 1fr 1fr; } }
  .characteristics .item {
    max-width: 213px;
    position: relative;
    padding-top: 7rem;
    padding-left: 3rem; }
    @media (max-width: 1200px) {
      .characteristics .item {
        max-width: 100%; } }
    .characteristics .item:before {
      content: "";
      display: block;
      position: absolute;
      top: 90px;
      left: 0px;
      height: 43px;
      width: 1px;
      background-color: #033e75;
      z-index: 5; }
    .characteristics .item:after {
      content: "";
      display: block;
      position: absolute;
      top: 0px;
      left: 0px;
      height: 130px;
      width: 1px;
      background-color: #dee5ec; }
    .characteristics .item h2 {
      font-family: "Gotham Bold";
      min-height: 70px;
      line-height: 1.2; }

.section_text {
  position: relative;
  padding-bottom: 20rem;
  background: -webkit-gradient(linear, left bottom, left top, color-stop(98%, #eef5fc), color-stop(0%, transparent));
  background: -o-linear-gradient(bottom, #eef5fc 98%, transparent 0%);
  background: linear-gradient(to top, #eef5fc 98%, transparent 0%); }
  @media (max-width: 750px) {
    .section_text {
      padding-bottom: 30rem; } }
  .section_text .bg_section {
    position: absolute;
    bottom: 0px;
    left: 0px;
    z-index: 2; }
  .section_text .item {
    display: grid;
    grid-template-columns: 1fr 1fr;
    margin-bottom: 5rem;
    gap: 16rem;
    position: relative;
    z-index: 5; }
    @media (max-width: 1200px) {
      .section_text .item {
        gap: 5rem; } }
    @media (max-width: 750px) {
      .section_text .item {
        grid-template-columns: 1fr; } }
    .section_text .item .desc {
      max-width: 287px;
      margin-top: 10rem;
      margin-left: 7rem; }
      @media (max-width: 1200px) {
        .section_text .item .desc {
          margin-left: 0px; } }
      @media (max-width: 1200px) {
        .section_text .item .desc {
          margin-top: 5rem; } }
      @media (max-width: 750px) {
        .section_text .item .desc {
          max-width: 100%;
          margin-top: 0rem; } }
      .section_text .item .desc h2 {
        line-height: 1.1; }
    .section_text .item:nth-child(1) img {
      max-width: 138%;
      margin-left: -28%; }
      @media (max-width: 1650px) {
        .section_text .item:nth-child(1) img {
          max-width: 100%;
          margin-left: 0px; } }
    .section_text .item:nth-child(2) .desc {
      max-width: 380px;
      margin-left: 0rem;
      padding-top: 9rem;
      position: relative; }
      @media (max-width: 750px) {
        .section_text .item:nth-child(2) .desc {
          grid-template-columns: 1fr;
          -webkit-box-ordinal-group: 4;
          -webkit-order: 3;
              -ms-flex-order: 3;
                  order: 3;
          padding-top: 0px;
          max-width: 100%; } }
      .section_text .item:nth-child(2) .desc .separator {
        position: absolute;
        top: 75%;
        left: 40%;
        -webkit-transform: translateX(-50%);
            -ms-transform: translateX(-50%);
                transform: translateX(-50%);
        max-width: 85px; }
        @media (max-width: 1600px) {
          .section_text .item:nth-child(2) .desc .separator {
            max-width: 100px;
            top: 65%; } }
        @media (max-width: 992px) {
          .section_text .item:nth-child(2) .desc .separator {
            display: none; } }
    .section_text .item:nth-child(2) .image {
      margin-left: 7rem;
      position: relative; }
      @media (max-width: 1200px) {
        .section_text .item:nth-child(2) .image {
          margin-left: 0px; } }
      .section_text .item:nth-child(2) .image .separator {
        position: absolute;
        top: 10%;
        right: 100%;
        max-width: 660px; }
        @media (max-width: 1450px) {
          .section_text .item:nth-child(2) .image .separator {
            top: 0%;
            max-width: 550px; } }
        @media (max-width: 1200px) {
          .section_text .item:nth-child(2) .image .separator {
            max-width: 400px; } }
        @media (max-width: 992px) {
          .section_text .item:nth-child(2) .image .separator {
            display: none; } }
    .section_text .item:nth-child(3) .desc {
      max-width: 357px;
      padding-top: 5rem; }
      @media (max-width: 750px) {
        .section_text .item:nth-child(3) .desc {
          grid-template-columns: 1fr;
          padding-top: 0rem;
          max-width: 100%; } }

.healthcare {
  position: relative;
  padding-top: 8rem;
  padding-bottom: 12rem; }
  @media (max-width: 600px) {
    .healthcare {
      padding-bottom: 0rem; } }
  .healthcare .bg_healthcare {
    position: absolute;
    bottom: 0px;
    right: 0px;
    z-index: 1; }
    @media (max-width: 1500px) {
      .healthcare .bg_healthcare {
        max-width: 350px; } }
    @media (max-width: 600px) {
      .healthcare .bg_healthcare {
        position: relative;
        margin-right: 0px;
        margin-left: auto;
        display: block; } }
  .healthcare .container {
    position: relative;
    z-index: 10; }
  .healthcare .title {
    max-width: 606px; }
    @media (max-width: 992px) {
      .healthcare .title {
        max-width: 60%; } }
    @media (max-width: 600px) {
      .healthcare .title {
        max-width: 100%; } }
  .healthcare .repeater {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 5rem;
    margin-top: 7rem;
    padding-right: 11rem; }
    @media (max-width: 1500px) {
      .healthcare .repeater {
        padding-right: 30rem; } }
    @media (max-width: 1180px) {
      .healthcare .repeater {
        padding-right: 45rem; } }
    @media (max-width: 992px) {
      .healthcare .repeater {
        grid-template-columns: 1fr 1fr;
        padding-right: 35rem; } }
    @media (max-width: 600px) {
      .healthcare .repeater {
        padding-right: 0rem; } }
  .healthcare .item {
    max-width: 209px; }
    .healthcare .item img {
      max-width: 50px; }
    .healthcare .item h3 {
      font-family: "Gotham Bold";
      font-size: 1.8rem; }
    .healthcare .item p {
      font-size: 1.4rem; }

.management {
  padding: 0rem 0rem 8rem 0rem;
  position: relative; }
  .management:before {
    content: "";
    display: block;
    position: absolute;
    top: -95%;
    left: 0px;
    width: 100%;
    height: 150%;
    background: -webkit-gradient(linear, left bottom, left top, color-stop(77%, #f3f8fd), to(rgba(255, 255, 255, 0)));
    background: -o-linear-gradient(bottom, #f3f8fd 77%, rgba(255, 255, 255, 0) 100%);
    background: linear-gradient(0deg, #f3f8fd 77%, rgba(255, 255, 255, 0) 100%);
    z-index: -1; }
  .management .container {
    max-width: calc(50% + 590px);
    margin-left: auto;
    margin-right: 0px;
    display: grid;
    grid-template-columns: 280px calc(100% - 280px); }
    @media (max-width: 1350px) {
      .management .container {
        max-width: 100%; } }
    @media (max-width: 900px) {
      .management .container {
        grid-template-columns: 230px calc(100% - 230px); } }
    @media (max-width: 750px) {
      .management .container {
        grid-template-columns: 100%; } }
  .management .title {
    margin-top: 12rem;
    margin-left: -5rem; }
    @media (max-width: 1350px) {
      .management .title {
        margin-left: 0px; } }
    @media (max-width: 750px) {
      .management .title {
        margin-top: 5rem; } }
    .management .title h2 {
      line-height: 1.1; }
  .management .slider__wrapper {
    background-color: #fff;
    padding: 5rem 0rem 5rem 5rem; }
  .management .swiper-slide {
    width: 373px; }
    @media (max-width: 1350px) {
      .management .swiper-slide {
        width: 250px; } }
    .management .swiper-slide .image {
      position: relative;
      height: 572px; }
      @media (max-width: 1350px) {
        .management .swiper-slide .image {
          height: 400px; } }
      .management .swiper-slide .image .toggle {
        width: 50px;
        height: 50px;
        display: -webkit-box;
        display: -webkit-flex;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-pack: center;
        -webkit-justify-content: center;
            -ms-flex-pack: center;
                justify-content: center;
        -webkit-box-align: center;
        -webkit-align-items: center;
            -ms-flex-align: center;
                align-items: center;
        background-color: #0ba13b;
        bottom: 0px;
        left: 0px;
        position: absolute;
        cursor: pointer; }
        .management .swiper-slide .image .toggle:hover img {
          -webkit-transform: rotate(45deg);
              -ms-transform: rotate(45deg);
                  transform: rotate(45deg); }
        .management .swiper-slide .image .toggle img {
          max-width: 12px;
          -webkit-transition: all 0.3s ease-in-out;
          -o-transition: all 0.3s ease-in-out;
          transition: all 0.3s ease-in-out; }
      .management .swiper-slide .image .desc {
        position: absolute;
        background-color: #f3f8fd;
        top: 0px;
        left: 0px;
        width: 100%;
        height: 100%;
        display: none;
        padding: 2rem 2rem;
        overflow-y: auto; }
      .management .swiper-slide .image .image_person {
        width: 100%;
        -o-object-fit: cover;
           object-fit: cover;
        height: 100%; }
    .management .swiper-slide .detail {
      margin-top: 2rem; }
    .management .swiper-slide .name {
      font-family: "Gotham Bold";
      font-size: 1.8rem; }
    .management .swiper-slide .position {
      font-size: 1.4rem; }

.more_section {
  padding-top: 0px; }

/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
